﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace xamDataChart1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            DataChart.DataContext = new SimpleDataCollection();
            if (DataChart.Series.First() is LineSeries)
            {
                DataChart.Series.Clear();
                SplineAreaSeries splineAreaSeries = new SplineAreaSeries();
                splineAreaSeries.ValueMemberPath = "Value";
                splineAreaSeries.ItemsSource = (SimpleDataCollection)DataChart.DataContext;
                splineAreaSeries.XAxis = (CategoryXAxis)DataChart.Axes["xmXAxis"];
                splineAreaSeries.YAxis = (NumericYAxis)DataChart.Axes["xmYAxis"];
                DataChart.Series.Add(splineAreaSeries);
            }
            else
            {
                DataChart.Series.Clear();
                LineSeries splineAreaSeries = new LineSeries();
                splineAreaSeries.ValueMemberPath = "Value";
                splineAreaSeries.ItemsSource = ((SimpleDataCollection)DataChart.DataContext).SecondSet;
                splineAreaSeries.XAxis = (CategoryXAxis)DataChart.Axes["xmXAxis"];
                splineAreaSeries.YAxis = (NumericYAxis)DataChart.Axes["xmYAxis"];
                DataChart.Series.Add(splineAreaSeries);
            }
        }
    }
}
