﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace xamDataChart1
{
    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public ObservableCollection<SimpleDataPoint> SecondSet { get; set; }

        public SimpleDataCollection()
        {
            this.SecondSet = new ObservableCollection<SimpleDataPoint>();
            Random random = new Random((int)DateTime.Now.Ticks);
            this.Add(new SimpleDataPoint() { Label = "1", Value = random.Next(1, 15) });
            this.Add(new SimpleDataPoint() { Label = "2", Value = random.Next(1, 15) });
            this.Add(new SimpleDataPoint() { Label = "3", Value = random.Next(1, 15) });
            this.Add(new SimpleDataPoint() { Label = "4", Value = random.Next(1, 15) });
            this.Add(new SimpleDataPoint() { Label = "5", Value = random.Next(1, 15) });
            this.Add(new SimpleDataPoint() { Label = "6", Value = random.Next(1, 15) });
            this.Add(new SimpleDataPoint() { Label = "7", Value = random.Next(1, 15) });

            this.SecondSet.Add(new SimpleDataPoint() { Label = "1", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "8", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "3", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "7", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "9", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "6", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "5", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "2", Value = random.Next(1, 15) });
            this.SecondSet.Add(new SimpleDataPoint() { Label = "4", Value = random.Next(1, 15) });
        }
    }
    /// <summary>
    /// Simple storage class for pair of string and double value
    /// </summary>
    public class SimpleDataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }
    }
}
